<?php
/**
 * Processing Forget password form data:
 * check data then generate new password and send it through SMPT Email
 *
 * PHP version 7.3
 *
 * @package        SMS
 * @version        Release 1.0.0
 * @create_by      Mohammad aljaouni
 * @create_date    10-08-2020
 * @edited_by      Mohammad aljaouni
 * @last_edit_date 10-08-2020
 * @todo           Nothing
 */
ob_start();
session_start();
$chain = "AWdrh78y892Djk*^523*%$#ghgHGHia&%$*)AsfdsLJnLaad";
if(empty($_GET['id']) || empty($_GET['conn'])) {
	header("location: connectionsList.php?res=2");
	exit;
}
$id = (int)$_GET['id'];
$connVal = (int)$_GET['conn'];
if(empty($id)) {
	header("location: connectionsList.php?res=2");
	exit;
}
include("validateLogin.php");
include("includeInformation.php");
$ConStatusToShow = "";
if($connVal == "1")
	$ConStatusToShow = "Connecting";
if($connVal == "3")
	$ConStatusToShow = "Disconnected";
	
$queryUpdate = "UPDATE `connections` SET `ConStatus`='$connVal',`ConStatusToShow`='$ConStatusToShow' WHERE `Id`=$id";
$resultUpdate = mysqli_query($conn, $queryUpdate);
if($resultUpdate) {
	header("location: connectionsList.php?res=1");
	exit;
} else {
	header("location: connectionsList.php?res=2");
	exit;
} 
ob_end_flush();
?>
